package org.jtheque.primary.od;

import org.jtheque.primary.od.abstraction.Kind;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * A kind.
 *
 * @author Baptiste Wicht
 */
public final class KindImpl extends Kind {
    @Override
    public String getAffichableText() {
        return getName();
    }

    @Override
    public String toString() {
        return getAffichableText();
    }

    @Override
    public int hashCode() {
        int result = 17;

        result = HASHCODEPRIME * result + getId();
        result = HASHCODEPRIME * result + (getName() == null ? 0 : getName().hashCode());
        result = HASHCODEPRIME * result + (getPrimaryImpl() == null ? 0 : getPrimaryImpl().hashCode());

        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }

        if (obj == null) {
            return false;
        }

        if (getClass() != obj.getClass()) {
            return false;
        }

        final Kind other = (Kind) obj;

        if (getName() == null) {
            if (other.getName() != null) {
                return false;
            }
        } else if (!getName().equals(other.getName())) {
            return false;
        }

        if (getPrimaryImpl() == null) {
            if (other.getPrimaryImpl() != null) {
                return false;
            }
        } else if (!getPrimaryImpl().equals(other.getPrimaryImpl())) {
            return false;
        }

        return true;
    }
}