package org.jtheque.primary.od.abstraction;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Represents a borrower.
 *
 * @author Baptiste Wicht
 */
public abstract class Borrower extends Person {
    private String email;

    /**
     * Cette mthode modifie l'email de l'emprunteur.
     *
     * @param email Le nouvel email de l'emprunteur
     */
    public final void setEmail(String email) {
        this.email = email;
    }

    /**
     * Cette mthode retourne l'email de l'emprunteur.
     *
     * @return L'email
     */
    public final String getEmail() {
        return email;
    }
}