package org.jtheque.primary.od.abstraction;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jtheque.primary.od.CountryImpl;

/**
 * A person.
 *
 * @author Baptiste Wicht
 */
public abstract class Person extends Data {
    /* Person's data */
    private String name;
    private String firstName;
    private CountryImpl theCountry;

    /**
     * Sets the name of the person.
     *
     * @param name The name of the person
     */
    public final void setName(String name) {
        this.name = name;
    }

    /**
     * Sets the first name of the person.
     *
     * @param firstName The first name of the person
     */
    public final void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    /**
     * Set the country of the object.
     *
     * @param country The new country of the data
     */
    public final void setTheCountry(CountryImpl country) {
        theCountry = country;
    }

    /**
     * Return the name of the person.
     *
     * @return The name of the person.
     */
    public final String getName() {
        return name;
    }

    /**
     * Return the first name of the person.
     *
     * @return The first name of the person.
     */
    public final String getFirstName() {
        return firstName;
    }

    /**
     * Return the country of the Data.
     *
     * @return The country
     */
    public final CountryImpl getTheCountry() {
        return theCountry;
    }
}