package org.jtheque.primary.services.able;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jtheque.core.managers.persistence.able.DataContainer;
import org.jtheque.primary.od.CollectionImpl;

/**
 * A service for the collections functions.
 *
 * @author Baptiste Wicht
 */
public interface ICollectionsService extends DataContainer<CollectionImpl> {
    String DATA_TYPE = "Collections";

    /**
     * Test if the login is correct for the specified collection.
     *
     * @param collection The collection to log in.
     * @param password   The password to test.
     * @return true if the login is ok else false.
     */
    boolean isLoginCorrect(String collection, String password);

    /**
     * Create a new collection.
     *
     * @param title    The title of the collection.
     * @param password The password of the collection. If null or empty, the collection will not be password-protected.
     */
    void createCollection(String title, String password);

    void createCollectionAndUse(String collection, String password);

    boolean login(String collection, String password);
}